Bug 440156 - Can't install packages from alternative repos.
Can't install packages from alternative repos.
Status: CLOSED DUPLICATE of bug 443445
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
: 441513 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 18:40 EDT by Klaus Pedersen
Modified: 2008-04-30 11:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 17:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of pk-application error. (106.14 KB, image/jpeg)
2008-04-01 18:40 EDT, Klaus Pedersen
no flags Details

  None (edit)
Description Klaus Pedersen 2008-04-01 18:40:26 EDT
Description of problem:
Installing <Livna> packages with the pk-application after adding
livna-development repository fails with an error "A security trust relationship
is not present", "GPG key not imported".

Installing the same package from the commandline with yum is more helpful:

rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID a109b1ec
Importing GPG key 0xA109B1EC "Livna.org rpms <rpm-key@livna.org>" from
/etc/pki/rpm-gpg/RPM-GPG-KEY-livna
Is this ok [y/N]:


Version-Release number of selected component (if applicable):

PackageKit-0.1.10-1.fc9.i386
yum-3.2.13-1.fc9.noarch

How reproducible:
Everytime.

Steps to Reproduce:
1. Add <livna-development> repo to yum.repos.d. (by installing appropriate rpm). 
2. Use Add/Remove Software to install a lvn9 package
3. 
  
Actual results:

Error "A security trust relationship is not present", "GPG key not imported".
-> no installed packages.

Expected results:

Warning "A security trust relationship is not present", "Import GPG key from <>?".
-> continue to install packages.

Additional info:
Comment 1 Klaus Pedersen 2008-04-01 18:40:26 EDT
Created attachment 299984 [details]
Screenshot of pk-application error.
Comment 2 Richard Hughes 2008-04-07 05:36:17 EDT
I'm working on this now.
Comment 3 Richard Hughes 2008-04-19 08:30:19 EDT
*** Bug 441513 has been marked as a duplicate of this bug. ***
Comment 4 Diego 2008-04-24 05:00:27 EDT
Probably related or other duplicates:
https://bugzilla.redhat.com/show_bug.cgi?id=443445
https://bugzilla.redhat.com/show_bug.cgi?id=440060

However this morning I experienced this problem also with the rawhide repo and
to fix it I run "yum upgrade" from command line (it's in italian but it's always
the same yum output).



[root@localhost ~]# yum upgrade
Plugin caricati:refresh-packagekit
adobe-linux-i386                                         |  951 B     00:00    
Impostazione Processo di Aggiornamento del sistema
Risoluzione dipendenze
--> Esecuzione del controllo di transazione
---> Pacchetto gnome-panel-libs.i386 0:2.22.1.2-4.fc9 settato per essere aggiornato
--> Risoluzione delle dipendenze terminata

Dipendenze risolte

=============================================================================
 Pacchetto               Arch       Versione         Repository        Dimensione
=============================================================================
Aggiornamento:
 gnome-panel-libs        i386       2.22.1.2-4.fc9   fedora             55 k

Riepilogo della transazione
=============================================================================
Installazione      0 Pacchetto(i)         
Aggiornamento      1 Pacchetto(i)         
Rimozione       0 Pacchetto(i)         

Dimensione totale: 55 k
È corretto [s/N]: s
Download dei pacchetti:
avvertimento: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Importazione chiave GPG 0x4F2A6FD2 "Fedora Project <fedora@redhat.com>" da
/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
È corretto [s/N]: s
Importazione chiave GPG 0xDB42A60E "Red Hat, Inc <security@redhat.com>" da
/etc/pki/rpm-gpg/RPM-GPG-KEY
È corretto [s/N]: s
Esecuzione rpm_check_debug
Test di transazione in corso
Test di transazione terminato
Test di transazione eseguito con successo
Transazione in corso
  Aggiorname: gnome-panel-libs             ######################### [1/2] 
  Pulizia   : gnome-panel-libs             ######################### [2/2] 

Aggiornato: gnome-panel-libs.i386 0:2.22.1.2-4.fc9
Completo!
Comment 5 Robin Norwood 2008-04-29 17:08:05 EDT
This is really the same issue as bug #443445

*** This bug has been marked as a duplicate of 443445 ***

Note You need to log in before you can comment on or make changes to this bug.